import React from 'react'
import styled from 'styled-components'
import {Link} from 'react-router-dom'
import {Icon} from '@material-ui/core'
import {colors} from '../styled/variables'
import {queries} from '../styled/variables'
import {breakpoints} from '../styled/variables'
import btnBack from '../assets/images/btn-back.png'

const StyledButton = styled(Link)`
    width: 40px;
    height: 40px;
    margin-bottom: 2%;
    background-color: ${colors.primary};
    border-radius: 50%;
    color: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    
    ${queries.minWidth(breakpoints.md)}{
      transform: translateX(-2rem) scale(1.3);
    }

    &:hover{
      color: #FFF;
      background-color: ${colors.secondary};
      border: 3px solid ${colors.primary};
      text-decoration: none;
    }
    .MuiButton-label{
      width: 50%;
      padding: 2%;
      vertical-align: center;
    }

    img{
      height: 100%;
      cursor: pointer;
    }
`

export default function ButtonHome() {
    return (
        <StyledButton to="/menu">
            <img src={btnBack} alt="..."/>
        </StyledButton>
    )
}
