import React, { Component } from 'react'
import $ from 'jquery'
import styled from 'styled-components'
import {colors} from '../styled/variables'
import {queries} from '../styled/variables'
//

const Box = styled.div`
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;

    .carousel-control-prev-icon{
        background-color: ${colors.primary};
        width: 30px;
        height: 30px;
        background-size: 50% 72%;
        border-radius: 50%;
    }

    .carousel-control-next-icon{
        background-color: ${colors.primary};
        width: 30px;
        height: 30px;
        background-size: 50% 72%;
        border-radius: 50%;
        
    }

    .next-icon{
        display:flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 10%;
        height: 100%;
    }

    .pages{
        width: 80%;
    }

    .prev-icon{
        display:flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 10%;
        height: 100%;
    }

    .carousel-indicators{
        bottom: 0;
        @media(min-width:475px){
            bottom: 1rem;
        }
    }

    .carousel-indicator{
        background-color: ${colors.primary};
        width: 10px;
        height: 10px;
        border-radius: 50%;
    }
`


export default class extends Component {
    componentDidMount(){
        //carousel
        let pages = $('.pages').children()
        let carouselIndicators = $('.carousel-indicators').children()
        let currentPage = 0;
        let totalPages = pages.length -1
        
        for(let i = 0; i < pages.length; i++){
            if(i !== 0)
                $(pages[i]).css('display','none')
        }

        $('.carousel-control-next-icon').click((e)=>{
            $(pages[currentPage]).css('display','none')
            $(carouselIndicators[currentPage]).removeClass("active")
            $(carouselIndicators[currentPage+1]).addClass("active")
            if(currentPage !== totalPages)
               currentPage++
            else{
                $(carouselIndicators[currentPage]).removeClass("active")
                currentPage = 0
                $(carouselIndicators[currentPage]).addClass("active")
            }
               
            $(pages[currentPage]).css('display','block')
        })

        $('.carousel-control-prev-icon').click((e)=>{
            $(pages[currentPage]).css('display','none')
            $(carouselIndicators[currentPage]).removeClass("active")
            $(carouselIndicators[currentPage-1]).addClass("active")
            if(currentPage !== 0)
               currentPage--
            else{
                $(carouselIndicators[currentPage]).removeClass("active")
                currentPage = totalPages
                $(carouselIndicators[currentPage]).addClass("active")
            }
            $(pages[currentPage]).css('display','block')
        })
    }

    render() {
        return (
            <Box className={this.props.className}>
                <div className="w-10 d-flex h-100 align-items-center prev-icon mr-2">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                </div>
                <div className="pages">
                    {this.props.children}
                </div>
                <ol className="carousel-indicators">
                    <li className="carousel-indicator active"> a</li>
                    <li className="carousel-indicator"> b</li>
                    <li className="carousel-indicator"> c</li>
                </ol>
                <div className="w-10 d-flex h-100 align-items-center next-icon ml-n1"> 
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                </div>
            </Box>
        )
    }
}
