import React, { Component } from 'react'
import styled from 'styled-components'
import Container from '@material-ui/core/Container'


import variables from '../styled/variables'

// Semi-colon in the end is necessary
const StyledContainer =  styled(Container)`
    background-color : #1583E8;
    width: 100%;
    height:100%;
    margin: auto;
    padding: 0 !important;
    

    @media (min-width: 1024px){
      width: 1024px !important;
      height: 100%;
      margin: auto;
    }

    @media (min-height: 600px) and (min-width:${variables.breakpoints.sm}){
      height: 600px !important;
      width: 100%;
    }
`;

export default class components extends Component {
  render() {
    return (
        <StyledContainer>
            {this.props.children}
        </StyledContainer>
    )
  }
}
