import styled from 'styled-components'

export const SideNavButton = styled.button `
    height: 50px;
    width: 50px !important;

    position: absolute;
    left: 2%;
    top: 2%;
    border-radius: 50px;
    z-index: 10;
    border-color: #236a8a;

    transition: transform 0.5s;
    &:hover{
        transform: scale(1.2);
    }
    .fa-bars{
        color: #236a8a;
        cursor: pointer;
    }
`

export const Container = styled.div `
   
    .sidenav {
        height: 100%;
        width: 0;
        position: fixed;
        z-index: 1;
        top: 0;
        left: 0;
        background-color: #FFF;
        overflow-x: hidden;
        transition: 0.5s;
        padding-top: 60px;
        z-index: 10;
    }

    .sidenav a {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 1rem;
        color: #818181;
        display: block;
        transition: 0.3s;
    }

    .sidenav a:hover {
        color: #f1f1f1;
    }

    .sidenav .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 2rem;
        margin-left: 50px;
    }

    @media screen and (max-height: 450px) {
        .sidenav {padding-top: 15px;}
        .sidenav a {font-size: 18px;}
    }

    .nav-link{
        cursor: pointer;
        &:hover{
            background-color: lightgray;
        }
    }

    .nav-first{
        border-top: 1px solid lightgray;
    }

    .sidenav-header{
        width: 200px;
        position: absolute;
        top: 20px;
        
        h6{
            font-size: 1.2rem !important;
        }
    }

    .btn-back{
        width: 0.8rem;
        margin-bottom: 0.5rem;
        color: lightgray;
        cursor: pointer;
        &:hover{
            color: #000;
        }
    }

    #content-cred{
        font-size: 0.7rem;
        padding-left: 0.5rem;
        padding-right: 0.3rem;
        border-top: 1px solid lightgray;
        padding-top: 0.5rem;
        h6{
            font-size: 0.8rem;
        }
        p{
            padding-left: 0.5rem;
            font-size: 0.8rem;
        }
    }

    #content-ref{
        font-size: 0.7rem;
        padding-left: 0.5rem;
        padding-right: 0.3rem;
        border-top: 1px solid lightgray;
        padding-top: 0.5rem;

        li{
            list-style: none;  
        }

        a{
            font-size: 0.7rem;
            color: #000;
            padding-left: 0px;
            padding-top: 2px;
            color: #236a8a;
        }
    }
    
`