import React, { Component } from 'react'
import {Link} from 'react-router-dom'
import styled from 'styled-components'
import {breakpoints} from '../styled/variables'
import {colors} from '../styled/variables'
import {queries} from '../styled/variables'
import Sidenav from '../components/Sidenav'
//material-ui
import Button from '@material-ui/core/Button'
import Typography from '@material-ui/core/Typography'
import Icon from '@material-ui/core/Icon'
//assets
import fundo from '../assets/images/capa.png'
import fundoMobile from '../assets/images/fundo-mobile.png'
import marcas from '../assets/images/logos_bar.png'

import iniciar from '../assets/images/botaonovo.png'


const Capa = styled.div`
    width: 100%;
    height: 100%;
    background: url(${fundoMobile}) no-repeat;
    background-size: 100% 100% !important;
    @media(min-width:${breakpoints.sm}){
        background: url(${fundo}) no-repeat;
    }

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
`


const Titulo = styled(Typography)`
  text-align: center;
  color: #FFF;
  font-weight: 500 !important;
  margin-top: 10% !important;
  ${queries.minWidth(breakpoints.sm)}{
    margin-top: 5% !important;
    width: 90%;
  }
  ${queries.minWidth(breakpoints.md)}{
    margin-top: 12% !important;
    width: 80%;
  }
`

const BotaoIniciar = styled.div`
    width: 9em;
    height: 3em;
  .remove-link-line{
    text-decoration: none;
    color: ${colors.primary} !important;
    font-size: 20px !important;
  }
  img{
    width: 100%;
    height: 100%
  }

  ${queries.minWidth(breakpoints.sm)}{
    position: absolute !important;
    left: calc(50% - 132.14px/2);
    top: 70%;
  }
`

const ResponsiveImg = styled.img`
  width: 90%;
  margin-bottom: 2%;
  align-self: center;
  @media(min-width: 576px){
    width: 52%;
  }
`

export default class pages extends Component {
  render() {
    let titulo = "MARCOS INTERNACIONAIS E NACIONAIS DOS DIREITOS DAS PESSOAS COM DEFICIENCIAS"
    
    return <Capa className="w-100 h-100 position-relative">
              <Sidenav/>
              <Titulo variant="h5" className="d-sm-none">
                {titulo}
              </Titulo>
              <BotaoIniciar variant="contained" color="white">
                
                <Link to="/menu" className="remove-link-line">
                <img src={iniciar}/>
                </Link>
               
              </BotaoIniciar>
              <ResponsiveImg src={marcas} alt="..."/>
           </Capa>
  }
}
