import React, { Component } from 'react'
import styled from 'styled-components'
import {Link} from 'react-router-dom'
import {breakpoints} from '../styled/variables'
import {colors} from '../styled/variables'
import {queries} from '../styled/variables'
import {utils} from '../styled/variables'
import $ from 'jquery'
import ButtonHome from '../components/ButtonHome'
//material-ui
import Container from '@material-ui/core/Container'
import Typography from '@material-ui/core/Typography'
import Grid from '@material-ui/core/Grid'
//assets
import { ReactComponent as BtnVoltar } from  '../assets/images/voltar.svg'
import { ReactComponent as BtnAvancar } from '../assets/images/avancar.svg'

const FundoAzul = styled.div`
    width: 100%;
    height: 100%;
    background-size: 100% 100% !important;
    background-color: ${colors.tertiary};
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

  .modal-header{
    border-bottom: 0;
  }
  .modal-body{
    text-decoration: justify;
    ${utils.hyphens()}
  }
`
const ContainerBranco = styled(Container)`
  background-color: #FFF;
  width: 95% !important;
  height: 95%;
  border-radius: 2%;
  .grid{
    height: 100%;
  }
  .titulo{
    color: ${colors.primary};
    text-align: justify; 
    height: 25%;


    display: flex;
    align-items: center;
    justify-content: center;
    width: 49%;
    text-align: center;

    ${queries.minWidth(breakpoints.sm)}{
      height: 20%;
    }
  }

  .destaque{
    color: ${colors.primary};
  }

  .conteudo{
    text-align: left;
    height: 61%;
    ${queries.minWidth(breakpoints.sm)}{
      height: 70%;
    }
    overflow: auto;
    width: 100%;

    img{
      width: 100%;
    }

    ${queries.minWidth(breakpoints.md)}{
      width: 85%;
    }

    ${utils.hyphens()}
  }

  .footer{
    height: 10%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    ${queries.minWidth(breakpoints.md)}{
      width: 90%;
    }
  }

  #logo-deficientes{
    width: 100%;
  }

  .navegacao{
    ${queries.minWidth(breakpoints.md)}{
      transform: scale(1.3);
    }
    svg{
      width: 50px;
      height: 40px;
      g{
        fill: ${colors.primary};
      }
    }

    .botao-desativado{
      g{
        fill: lightgray;
      }
    }
  }

  .MuiButton-containedPrimary{
    width: fit-content;
    align-self: center;
    cursor: pointer;
    background-color: ${colors.secondary};
    &:hover{
      background-color: ${colors.primary} !important;
    }
    &:focus{
      background-color: ${colors.primary} !important;
    }

    a{
      color: #FFF;
      text-decoration: none !important;
    }
  }

  .circle-btn{
    ${queries.minWidth(breakpoints.md)}{
      transform: scale(1.3);
      font-size: 1.5rem !important;
      font-weight: bold;
    }
    width: 45px;
    height: 45px;
    background-color: ${colors.primary};
    border-radius: 50%;
    color: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    opacity: 0.5;
    cursor:pointer;

    &:hover{
      opacity: 1;
    }
  }

  .circle-btn-active{
    opacity: 1;
  }

  .botoes{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 10%;
    .MuiGrid-item{
      margin-bottom: 10%
    }
    ${queries.minWidth(breakpoints.sm)}{
      flex-direction: column;
      padding-bottom: 0;
      padding-right: 10%;
      height: 90%;
    }
  }

  .board-color-primary{
    background-color:  #b4e6fa;
    text-align: justify;
    border-radius: 10px;
    padding: 0 4%;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
    ${utils.hyphens()}

    @media(max-width: 576px){
      height: 100%;
    }
  }
`

export default class pages extends Component {

  componentDidMount(){
    $("#board-text-2").css("display","none")
    $("#board-text-3").css("display","none")
    $("#btn-info-1").addClass("circle-btn-active")

    $("#btn-info-1").click(()=>{
      $(".circle-btn-active").removeClass("circle-btn-active")
      $("#btn-info-1").addClass("circle-btn-active")
      $("#board-text-1").css("display","block")
      $("#board-text-2").css("display","none")
      $("#board-text-3").css("display","none")
    })

    $("#btn-info-2").click(()=>{
      $(".circle-btn-active").removeClass("circle-btn-active")
      $("#btn-info-2").addClass("circle-btn-active")
      $("#board-text-1").css("display","none")
      $("#board-text-2").css("display","block")
      $("#board-text-3").css("display","none")
    })

    $("#btn-info-3").click(()=>{
      $(".circle-btn-active").removeClass("circle-btn-active")
      $("#btn-info-3").addClass("circle-btn-active")
      $("#board-text-1").css("display","none")
      $("#board-text-2").css("display","none")
      $("#board-text-3").css("display","block")
    })
  }


  render() {

    return <FundoAzul>
              <ContainerBranco>
                <Grid container className="grid" direction="column" justify="center" alignItems="center">
                  {/* titulo */}
                  <Grid item className="titulo w-100">
                    <Typography variant="h5">
                      {/* title */}
                      Lei Brasileira de Inclusão da Pessoa com Deficiência 
                    </Typography>
                  </Grid>
                  {/* conteudo */}
                  <Grid item className="conteudo">
                    <Grid container className="w-100 h-100" direction="row" justify="center">
                      {/* texto-superior */}
                      <Grid item className="">
                        <Typography >
                          Com a Lei Brasileira de Inclusão alguns avanços foram alcançados, a saber (<strong>clique</strong> nos botões):
                        </Typography>
                      </Grid>
                      <Grid item sm={2}>
                        {/* Botoes */}
                        <Grid  className="botoes" container spacing={2}>
                          <Grid item>
                            <div id="btn-info-1" className="circle-btn">
                              1
                            </div>
                          </Grid>
                          <Grid item>
                            <div id="btn-info-2" className="circle-btn">
                              2
                            </div>
                          </Grid>
                          <Grid item>
                            <div id="btn-info-3" className="circle-btn">
                              3
                            </div>
                          </Grid>
                        </Grid>
                      </Grid>
                      <Grid item sm={10}>
                        {/* Board */}
                        <div className="board-color-primary">
                          <Typography id="board-text-1">
                            Garantiu às pessoas com deficiência o direito de casar ou constituir união estável e exercer direitos sexuais e reprodutivos em igualdade de condições com as demais pessoas. 
                            <br/>
                            Também lhes foi aberta a possibilidade de aderir ao processo de tomada de decisão apoiada (auxílio de pessoas de sua confiança em decisões sobre atos da vida civil), restringindo-se a designação de um curador a atos relacionados a direitos de ordem patrimonial ou negocial. 
                            <br/>
                            Assegurou a oferta de sistema educacional inclusivo em todos os níveis e modalidades de ensino.
                          </Typography>
                          <Typography id="board-text-2">
                            Estabeleceu ainda a adoção de um projeto pedagógico que institucionalize o atendimento educacional especializado, com fornecimento de profissionais de apoio. Proíbe as escolas particulares de cobrarem valores adicionais por esses serviços.
                            <br/>
                            Garantiu prioridade na restituição do Imposto de Renda aos contribuintes com deficiência ou com dependentes nesta condição e no atendimento por serviços de proteção e socorro.
                            <br/> 
                            Incluiu o desrespeito às normas de acessibilidade como causa de improbidade administrativa e criou o Cadastro Nacional de Inclusão da Pessoa com Deficiência (Cadastro-Inclusão), registro público eletrônico que irá reunir dados de identificação e socioeconômicos da pessoa com deficiência.
                          </Typography>
                          <Typography id="board-text-3">
                            Estabeleceu pena de um a três anos de reclusão, mais multa, para quem prejudicar, impedir ou anular o reconhecimento ou exercício de direitos e liberdades fundamentais da pessoa com deficiência.
                            <br/> 
                            Criou benefício assistencial para a pessoa com deficiência moderada ou grave que ingresse no mercado de trabalho em atividade que a enquadre como segurada obrigatória do Regime Geral de Previdência Social.
                          </Typography>
                        </div>
                      </Grid>
                    </Grid>
                  </Grid>
                  {/* footer */}
                  <Grid item className="footer">
                    <Grid container className="w-100">
                        <Grid container className="w-100" direction="row" justify="space-between">
                          <ButtonHome/>
                          <div className="navegacao">
                            <Link to="/lei-1">
                              <BtnVoltar/>
                            </Link>
                            <Link>
                              <BtnAvancar className="botao-desativado"/>
                            </Link>
                          </div>
                        </Grid>
                    </Grid>
                  </Grid>
                </Grid>
              </ContainerBranco>
           </FundoAzul>
  }
}
