import React, { Component } from 'react'
import styled from 'styled-components'
import {breakpoints} from '../styled/variables'
import {colors} from '../styled/variables'
import {queries} from '../styled/variables'
import {utils} from '../styled/variables'
import ButtonHome from '../components/ButtonHome'
//material-ui
import Container from '@material-ui/core/Container'
import Typography from '@material-ui/core/Typography'
import Grid from '@material-ui/core/Grid'
import Button from '@material-ui/core/Button'
//assets

const FundoAzul = styled.div`
    width: 100%;
    height: 100%;
    background-size: 100% 100% !important;
    background-color: ${colors.tertiary};
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

  .modal-header{
    border-bottom: 0;
  }
  .modal-body{
    text-decoration: justify;
    ${utils.hyphens()}
  }
`
const ContainerBranco = styled(Container)`
  background-color: #FFF;
  width: 95% !important;
  height: 95%;
  border-radius: 2%;
  .grid{
    height: 100%;
  }
  .titulo{
    color: ${colors.primary};
    text-align: justify; 
    height: 25%;

    display: flex;
    align-items: center;
    justify-content: center;
    width: 49%;
    text-align: center;

    ${queries.minWidth(breakpoints.sm)}{
      height: 20%;
    }
  }

  .destaque{
    color: ${colors.primary};
  }

  .conteudo{
    text-align: left;
    height: 61%;
    ${queries.minWidth(breakpoints.sm)}{
      height: 70%;
    }
    overflow: auto;
    width: 100%;

    img{
      width: 100%;
    }

    ${queries.minWidth(breakpoints.md)}{
      width: 85%;
    }

    ${utils.hyphens()}
  }

  .footer{
    height: 10%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 2%;
    ${queries.minWidth(breakpoints.md)}{
      width: 90%;
    }
  }

  #logo-deficientes{
    width: 100%;
  }

  .button-home{
    ${queries.minWidth(breakpoints.md)}{
      transform: scale(1.3);
    }
    width: 45px;
    height: 45px;
    background-color: ${colors.primary};
    border-radius: 50%;
    color: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;

    &:hover{
      color: ${colors.primary};
      background-color: #FFF;
      border: 3px solid ${colors.primary};
    }
    .MuiButton-label{
      width: 50%;
      padding: 2%;
      vertical-align: center;
    }
  }

  .navegacao{
    ${queries.minWidth(breakpoints.md)}{
      transform: scale(1.3);
    }
    svg{
      width: 50px;
      height: 40px;
      g{
        fill: ${colors.primary};
      }
    }

    .botao-desativado{
      g{
        fill: lightgray;
      }
    }
  }

  .MuiButton-containedPrimary{
    width: fit-content;
    align-self: center;
    cursor: pointer;
    background-color: ${colors.primary};
    &:hover{
      background-color: ${colors.secondary} !important;
    }
    &:focus{
      background-color: ${colors.primary} !important;
    }

    a{
      color: #FFF;
      text-decoration: none !important;
    }
  }

  .pulse-btn {
    display: block;
    cursor: pointer;
    box-shadow: 0 0 0 rgba(0,0,0, 0.4);
    animation: pulsate 1.5s infinite;
  }
  .pulse-btn:hover {
    animation: none;
  }

  @-webkit-keyframes pulsate {
    0% {
      -webkit-box-shadow: 0 0 0 0 rgba(0,0,0, 0.4);
    }
    70% {
        -webkit-box-shadow: 0 0 0 10px rgba(0,0,0, 0);
    }
    100% {
        -webkit-box-shadow: 0 0 0 0 rgba(0,0,0, 0);
    }
  }
  @keyframes pulsate {
    0% {
      -moz-box-shadow: 0 0 0 0 rgba(0,0,0, 0.4);
      box-shadow: 0 0 0 0 rgba(0,0,0, 0.4);
    }
    70% {
        -moz-box-shadow: 0 0 0 10px rgba(0,0,0, 0);
        box-shadow: 0 0 0 10px rgba(0,0,0, 0);
    }
    100% {
        -moz-box-shadow: 0 0 0 0 rgba(0,0,0, 0);
        box-shadow: 0 0 0 0 rgba(0,0,0, 0);
    }
  }
`

export default class pages extends Component {

  render() {

    
    return <FundoAzul>
              <ContainerBranco>
                <Grid container className="grid" direction="column" justify="center" alignItems="center">
                  {/* titulo */}
                  <Grid item className="titulo w-100">
                    <Typography variant="h5">
                      {/* title */}
                      Plano Nacional dos Direitos da Pessoa com Deficiência - Plano Viver sem Limite
                    </Typography>
                  </Grid>
                  {/* conteudo */}
                  <Grid item className="conteudo">
                    <Grid container className="w-100" direction="column" justify="center">
                      <Typography>
                      Em 2011, foi instituído o <span className="destaque">Plano Nacional dos Direitos da Pessoa com Deficiência</span>, por meio do decreto nº 7.612 de 17 de novembro. O Plano Viver sem Limite foi elaborado com a participação de mais de 15 ministérios e do Conselho Nacional de Direitos da Pessoa com Deficiência, expressando a articulação de políticas governamentais que envolvem acesso à educação, inclusão social, atenção à saúde e acessibilidade, com previsão de investimento total no valor de R$ 7,6 bilhões até 2014. 
                      </Typography>
                      <br/>
                      <Typography>
                      Dentre os eixos de atenção do Plano Viver sem Limite, encontra-se o eixo de Atenção à Saúde. Ele tem como foco de ação a <span className="destaque">organização do cuidado integral em rede</span>, contemplando as áreas de deficiência auditiva, física, visual, intelectual, ostomia e múltiplas deficiências, por meio da Rede de Cuidados à Pessoa com Deficiência no âmbito do Sistema Único de Saúde, instituída na Portaria GM/MS nº 793, de 24 de abril de 2012. 
                      </Typography>
                      <Button className="pulse-btn" type="button" variant="contained" color="primary"  data-toggle="modal" data-target="#exampleModalCenter">
                          ATENÇÃO!
                      </Button>
                    </Grid>
                  </Grid>
                  {/* footer */}
                  <Grid item className="footer">
                    <Grid container className="w-100">
                        <Grid container className="w-100" direction="row" justify="space-between">
                          <ButtonHome/>
                        </Grid>
                    </Grid>
                  </Grid>
                </Grid>
              </ContainerBranco>
              {/* Modal */}
              <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5>Atenção!</h5>
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                    No ano de 2017, o Ministério da Saúde publicou as Portarias de Consolidação nº 3 e nº 6, por meio das quais consolida as normativas de funcionamento e financiamento das Redes de Atenção à Saúde, entre elas a Rede de Cuidados à Pessoa com Deficiência. Essa medida fez com que as Portarias GM/MS 793 e 835, de 2012, fossem revogadas. Contudo, vale ressaltar que não houve modificações significativas no corpo do texto das normativas.
                    </div>
                    <div class="modal-footer">
                    </div>
                  </div>
                </div>
              </div>
              {/* Modal-fim */}
           </FundoAzul>
  }
}
